include	clib.inc
include	conio.inc
include	stdio.inc

; BL: x
; BH: y
; CH: attrib (or zero)
; CL: max length (or zero)
; AX: OFFSET format string

DPROC	@scputf
	mov	dx,ax
	call	@vsbufin
	mov	dx,ds
	mov	ax,offset _bufin
	call	@scputs
	ret	; Return number of chars output
PEND	@scputf

	END
